#!/usr/bin/php5
<?php

error_reporting(E_ALL);

$config_filename=$argv[1];
$content=file_get_contents($config_filename);
$account=json_decode($content, true);

$server=$account['ServerURL'];
$username=$account['ServerLogin'];
$password=$account['ServerPasswd'];

try {
  $soap_client=new SoapClient('https://'.$server.'/soap.php?wsdl',array('encoding'=>'UTF-8','trace'=>1,'features'=>SOAP_SINGLE_ELEMENT_ARRAYS,'exceptions'=>1));
  $result=(array)$soap_client->request(array(array('method'=>'login','login'=>$username,'password'=>$password)));
  if(is_array($result) and isset($result[0]) and isset($result[0]['return'])) {
  	$res=$result[0];
  	if($res['return']==='OK') {
  		// login successful
  		exit(0);
  	}
  	printf('%s (%s): %s',$res['return'],$res['errno'],$res['error']);
  } else {
    printf('Bad URL: %s',$server);
  }
} catch (Exception $e) {
  printf('Bad URL: %s'."\n".'%s',$server,$e->getMessage());
}

exit(1);

?>